Bug 531423 - double-spacing in language and keyboard dialogs
double-spacing in language and keyboard dialogs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-28 04:53 EDT by Jens Petersen
Modified: 2015-01-14 18:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-02 21:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
language dialog (311.75 KB, image/png)
2009-10-28 04:56 EDT, Jens Petersen
no flags Details
kbd dialog shot (328.56 KB, image/png)
2009-10-28 04:56 EDT, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2009-10-28 04:53:50 EDT
Description of problem:
GDM's language and keyboard menus are now double-spaced apparently.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. boot live or latest rawhide
  
Actual results:
see screenshots

Expected results:
no big gaps in the lists

Additional info:
I added this to F12Blocker - maybe a little harsh
but I feel this would be very good to fix for f12-final.
Comment 1 Jens Petersen 2009-10-28 04:56:10 EDT
Created attachment 366401 [details]
language dialog
Comment 2 Jens Petersen 2009-10-28 04:56:53 EDT
Created attachment 366402 [details]
kbd dialog shot
Comment 3 A S Alam 2009-10-28 05:51:05 EDT
produced with 
gdm-2.28.1-5.fc12
Comment 4 Jens Petersen 2009-10-28 05:52:18 EDT
Reverting to gdm-2.28.0-9.fc12 in F12-Beta fixes the problem.
Comment 5 Jens Petersen 2009-10-28 05:53:09 EDT
(Also still happens with gdm-2.28.1-12.fc12.)
Comment 6 Ray Strode [halfline] 2009-10-28 10:10:52 EDT
This is probably an artifact of:

http://git.gnome.org/cgit/gdm/commit/?id=2b49177235ef243056c30533bd8eec32cfb86b63
Comment 7 Jens Petersen 2009-10-29 01:44:25 EDT
+                *height = cell->ypad * 2 + 42;

So is 42 too big or ?
Comment 8 Matthias Clasen 2009-10-29 07:33:42 EDT
Well, thats the cell renderer just for the timer in the user list. I don't _think_ that should affect the language / keyboard lists.
Comment 9 Ray Strode [halfline] 2009-10-29 10:01:09 EDT
i fixed this last night.
Comment 10 Adam Williamson 2009-10-29 12:58:05 EDT
Fixed build is 2.28.1-16:

http://koji.fedoraproject.org/koji/buildinfo?buildID=138811

I don't see a tag request filed yet.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Adam Williamson 2009-10-30 13:35:18 EDT
This was discussed at the blocker meeting today. We decided this is not a blocker issue, so downgrading to target. You can still request a tag for final, it's up to releng whether to accept it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Jens Petersen 2009-11-02 20:10:08 EST
Works well for me - could you please request for f12-final?
Comment 13 Ray Strode [halfline] 2009-11-02 21:17:21 EST
already tagged.

Note You need to log in before you can comment on or make changes to this bug.